Description

| have a plugin that makes use of the activity page - and I'd like to add custom icons for the acts_as_event :type that is defined in my
plugin. | understand this would be best done with view hooks, but the activity page does not have any that | can see.

Would this be a possibility? Or is there another way | could add icons for the event types | want to implement?

Today

D 11:24 am (Article updated)

Test 33

10:58 am (New Article) Arti

History

#1 - 2012-11-07 21:32 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Icons for each event type are defined in the stylesheet. See: source:/tags/2.1.2/public/stylesheets/application.css#L.380. So you just need to add your
custom styles to a stylesheet in your plugin.

#2 - 2012-11-08 08:07 - Duane Hughes
- File noOverride.png added

Thanks, but I'm afraid it doesn't seem to work for me. So | add the following to the top of my plugin stylesheet:
dt.articles { background-image: url(../images/page_edit.png); }

That should pull the image file from my plugin_asset/pluginname/images/ directory. However, tracing the styles using Developer tools in Chrome or IE
shows that it is not even pulling in the plugin's stylesheet (knowledgebase.css) anywhere:

Matched CSS Rule
media="all" activity
div#activity dt, #search-results dt { application.css:361
margin-bottom: @px;
padding-left: 28px;
line-height: 18px;
» background-position: @ 58%;
¥ background-repeat: no-repeat;

%]

H
media="all" activity
| #activity dt, .journal { application.css:1889
clear: left;
¥

This makes sense to me as nothing on the activity page is calling my plugin's CSS file, surely? Or have | done something wrong?

Your help and comments are much appreciated.
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.1.2/public/stylesheets/application.css#L380

#3 - 2012-11-08 08:13 - Duane Hughes

| should also mention that the acts_as_event line in the plugin model looks as follows (note the "type" line):

acts_as_event :title => Proc.new {blah blah },
:description => :summary,
:datetime => :updated_at,
:type => 'articles',
:url => Proc.new { |o| {:controller => 'articles', :action => 'show', :id => o.id, :project_id
=> o.project} }
acts_as_activity_provider :find_options => {:include => :project},
rauthor_key => :author_id,
ttype => 'articles',
:timestamp => :updated_at,
:permission => :view_articles

#4 - 2012-11-08 08:14 - Duane Hughes

- Status changed from Closed to Reopened

#5 - 2012-11-08 23:21 - Jean-Philippe Lang

- Status changed from Reopened to Closed

If you want your plugin stylesheet to be loaded with the activity view, you have to use the view_layouts_base_htm|_head hook in the base layout to
include it if controller_name == "activity'.

I'm closing it, please use the forums for plugin development help requests.
